% definindo o sistema de EDOs
a=0.16;
b=0.15;
F = @(s,z) Mathieu(s,z,a,b);

% condicoes iniciais
xi = 0.5;       % valor inicial minimo de x
xf = 1.5        % valor inicial maximo de x
dx=0.05;        % incremento no valor de x
y0 = 0;         % valor inicial de x'

% parametros de resolucao
t0 = 0;         % tempo inicial
tf = 200;        % tempo final
h = 0.01;       % passo inicial de integracao
Tol = 1e-6;     % erro maximo tolerado

figure

% aplicando o metodo RKF45

for x0=xi:dx:xf
  
  z0=[x0,y0];     % condição inicial

  [t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado
   plot(t,z(:,1))
   hold on
   
   end

